Openembedded Core Discussions
 help / color / mirror / Atom feed
* [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux
@ 2013-04-13  7:28 Saul Wold
  2013-04-13 10:26 ` Richard Purdie
  0 siblings, 1 reply; 4+ messages in thread
From: Saul Wold @ 2013-04-13  7:28 UTC (permalink / raw)
  To: openembedded-core

This will silence some of the noisy output from mount.util-linux and the kernel
when trying to automount filesystems or devices. Busybox does not accept the silent
option, it uses a "loud" option instead.

[YOCTO #3935]

Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh b/meta/recipes-core/udev/udev-extraconf/mount.sh
index 99c76b2..7b58361 100644
--- a/meta/recipes-core/udev/udev-extraconf/mount.sh
+++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
@@ -22,7 +22,7 @@ automount() {
 
 	! test -d "/media/$name" && mkdir -p "/media/$name"
 	
-	if ! $MOUNT -t auto $DEVNAME "/media/$name"
+	if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
 	then
 		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
 		rm_dir "/media/$name"
-- 
1.8.0.2




^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux
  2013-04-13  7:28 [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux Saul Wold
@ 2013-04-13 10:26 ` Richard Purdie
  2013-04-13 13:23   ` Bernhard Reutner-Fischer
  0 siblings, 1 reply; 4+ messages in thread
From: Richard Purdie @ 2013-04-13 10:26 UTC (permalink / raw)
  To: Saul Wold; +Cc: openembedded-core

On Sat, 2013-04-13 at 00:28 -0700, Saul Wold wrote:
> This will silence some of the noisy output from mount.util-linux and the kernel
> when trying to automount filesystems or devices. Busybox does not accept the silent
> option, it uses a "loud" option instead.
> 
> [YOCTO #3935]
> 
> Signed-off-by: Saul Wold <sgw@linux.intel.com>
> ---
>  meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

As far as I can see this will break with busybox mount. Is there a 2/2
missing?

> diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh b/meta/recipes-core/udev/udev-extraconf/mount.sh
> index 99c76b2..7b58361 100644
> --- a/meta/recipes-core/udev/udev-extraconf/mount.sh
> +++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
> @@ -22,7 +22,7 @@ automount() {
>  
>  	! test -d "/media/$name" && mkdir -p "/media/$name"
>  	
> -	if ! $MOUNT -t auto $DEVNAME "/media/$name"
> +	if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
>  	then
>  		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
>  		rm_dir "/media/$name"





^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux
  2013-04-13 10:26 ` Richard Purdie
@ 2013-04-13 13:23   ` Bernhard Reutner-Fischer
  2013-04-13 16:55     ` Saul Wold
  0 siblings, 1 reply; 4+ messages in thread
From: Bernhard Reutner-Fischer @ 2013-04-13 13:23 UTC (permalink / raw)
  To: Richard Purdie, Saul Wold; +Cc: openembedded-core

On 13 April 2013 12:26:38 Richard Purdie 
<richard.purdie@linuxfoundation.org> wrote:
> On Sat, 2013-04-13 at 00:28 -0700, Saul Wold wrote:
> > This will silence some of the noisy output from mount.util-linux and the 
> kernel
> > when trying to automount filesystems or devices. Busybox does not accept 
> the silent
> > option, it uses a "loud" option instead.
> > [YOCTO #3935]
> > Signed-off-by: Saul Wold <sgw@linux.intel.com>
> > ---
> >  meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
>
> As far as I can see this will break with busybox mount. Is there a 2/2
> missing?

IIRC Busybox defaults to be silent (right?), I will thus add (and ignore) 
silent. I will have a look in the evening.

Thanks for the heads up!
Cheers,
>
> > diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh 
> b/meta/recipes-core/udev/udev-extraconf/mount.sh
> > index 99c76b2..7b58361 100644
> > --- a/meta/recipes-core/udev/udev-extraconf/mount.sh
> > +++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
> > @@ -22,7 +22,7 @@ automount() {
> >  	! test -d "/media/$name" && mkdir -p "/media/$name"
> >  	
> > -	if ! $MOUNT -t auto $DEVNAME "/media/$name"
> > +	if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
> >  	then
> >  		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" 
> failed!"
> >  		rm_dir "/media/$name"
>
>
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core


Sent with AquaMail for Android
http://www.aqua-mail.com





^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux
  2013-04-13 13:23   ` Bernhard Reutner-Fischer
@ 2013-04-13 16:55     ` Saul Wold
  0 siblings, 0 replies; 4+ messages in thread
From: Saul Wold @ 2013-04-13 16:55 UTC (permalink / raw)
  To: Bernhard Reutner-Fischer; +Cc: openembedded-core

On 04/13/2013 06:23 AM, Bernhard Reutner-Fischer wrote:
> On 13 April 2013 12:26:38 Richard Purdie
> <richard.purdie@linuxfoundation.org> wrote:
>> On Sat, 2013-04-13 at 00:28 -0700, Saul Wold wrote:
>> > This will silence some of the noisy output from mount.util-linux and
>> the kernel
>> > when trying to automount filesystems or devices. Busybox does not
>> accept the silent
>> > option, it uses a "loud" option instead.
>> > [YOCTO #3935]
>> > Signed-off-by: Saul Wold <sgw@linux.intel.com>
>> > ---
>> >  meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
>> >  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> As far as I can see this will break with busybox mount. Is there a 2/2
>> missing?
>
> IIRC Busybox defaults to be silent (right?), I will thus add (and
> ignore) silent. I will have a look in the evening.
>

Dangit, I sent the wrong patch, I have the correct one, will resend.

Sau!

> Thanks for the heads up!
> Cheers,
>>
>> > diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh
>> b/meta/recipes-core/udev/udev-extraconf/mount.sh
>> > index 99c76b2..7b58361 100644
>> > --- a/meta/recipes-core/udev/udev-extraconf/mount.sh
>> > +++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
>> > @@ -22,7 +22,7 @@ automount() {
>> >      ! test -d "/media/$name" && mkdir -p "/media/$name"
>> >
>> > -    if ! $MOUNT -t auto $DEVNAME "/media/$name"
>> > +    if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
>> >      then
>> >          #logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME
>> \"/media/$name\" failed!"
>> >          rm_dir "/media/$name"
>>
>>
>>
>> _______________________________________________
>> Openembedded-core mailing list
>> Openembedded-core@lists.openembedded.org
>> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core
>
>
> Sent with AquaMail for Android
> http://www.aqua-mail.com
>
>
>
>



^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2013-04-13 17:13 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-04-13  7:28 [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux Saul Wold
2013-04-13 10:26 ` Richard Purdie
2013-04-13 13:23   ` Bernhard Reutner-Fischer
2013-04-13 16:55     ` Saul Wold

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox